Name:           perl-Set-IntSpan
Version:        1.09
Release:        1%{?dist}
Summary:        Perl module for managing sets of integers

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Set-IntSpan/
Source0:        http://www.cpan.org/authors/id/S/SW/SWMCD/Set-IntSpan-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Set::IntSpan manages sets of integers. It is optimized for sets that
have long runs of consecutive integers.


%prep
%setup -q -n Set-IntSpan-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Set/
%{_mandir}/man3/Set::IntSpan.3*


%changelog
* Wed Dec 14 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.09-1
- 1.09.

* Sun Oct 16 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.08-1
- 1.08 (#170944).
- Specfile cleanups.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.07-6
- rebuilt

* Sun May  9 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.07-0.fdr.5
- BuildRequire perl >= 1:5.6.1-34.99.6 for support for vendor installdirs.
- Use pure_install to avoid perllocal.pod workarounds.

* Sun Apr 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.07-0.fdr.4
- Require perl(:MODULE_COMPAT_*).

* Mon Feb  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.07-0.fdr.3
- Reduce directory ownership bloat.

* Tue Dec  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.07-0.fdr.2
- Install into vendor dirs.
- Remove #---- section markers.

* Wed May  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.07-0.fdr.1
- First Fedora release.

* Thu Oct  3 2002 Ville Skyttä <ville.skytta at iki.fi> 1.07-2cr
- Rebuild for Red Hat 8.0.

* Sat Jul  6 2002 Ville Skyttä <ville.skytta@iki.fi> 1.07-1cr
- Initial build.
